Name:		qsynth
Version:	1.0.3
Release:	%mkrel 1
Summary:	Qt GUI Interface for FluidSynth
License:	GPLv2+
Group:		Sound/Midi
URL:		https://qsynth.sourceforge.net/
Source0:	https://downloads.sourceforge.net/qsynth/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Svg)

Requires:	fluidsynth

%description
Qsynth is a fluidsynth GUI front-end application written in C++ around
the Qt5 toolkit using Qt Designer. Eventually it may evolve into a
softsynth management application allowing the user to control and manage
a variety of command line softsynth but for the moment it wraps the
excellent FluidSynth.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

#menu
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%find_lang %{name} --with-qt

%files -f %{name}.lang
%doc README TRANSLATORS ChangeLog
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_datadir}/metainfo/org.rncbc.%{name}.metainfo.xml
%{_iconsdir}/*/*/*/org.rncbc.%{name}.png
%{_iconsdir}/*/*/*/org.rncbc.%{name}.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*


%changelog
* Tue Apr 01 2025 daviddavid <daviddavid> 1.0.3-1.mga10
+ Revision: 2172313
- new version: 1.0.3

* Fri Oct 04 2024 daviddavid <daviddavid> 1.0.2-1.mga10
+ Revision: 2103078
- new version: 1.0.2

* Thu Sep 12 2024 daviddavid <daviddavid> 1.0.1-1.mga10
+ Revision: 2095203
- new version: 1.0.1

* Wed Jun 19 2024 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2075525
- new version: 1.0.0

* Tue Feb 06 2024 daviddavid <daviddavid> 0.9.13-1.mga10
+ Revision: 2037919
- new version: 0.9.13

* Wed Sep 20 2023 daviddavid <daviddavid> 0.9.12-1.mga10
+ Revision: 1988445
- new version: 0.9.12

* Mon Aug 28 2023 daviddavid <daviddavid> 0.9.11-1.mga10
+ Revision: 1980342
- new version: 0.9.11

* Wed Dec 28 2022 daviddavid <daviddavid> 0.9.9-1.mga9
+ Revision: 1927401
- new version: 0.9.9

* Sun Nov 06 2022 daviddavid <daviddavid> 0.9.8-1.mga9
+ Revision: 1904128
- new version: 0.9.8

* Mon Aug 22 2022 papoteur <papoteur> 0.9.7-1.mga9
+ Revision: 1879438
- new 0.9.27. Use Qt6

* Mon Apr 04 2022 umeabot <umeabot> 0.9.3-3.mga9
+ Revision: 1843731
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 luigiwalser <luigiwalser> 0.9.3-2.mga9
+ Revision: 1739421
- rebuild for fluidsynth

* Wed May 19 2021 daviddavid <daviddavid> 0.9.3-1.mga9
+ Revision: 1725598
- new version: 0.9.3

* Wed Mar 17 2021 daviddavid <daviddavid> 0.9.2-1.mga9
+ Revision: 1704012
- new version: 0.9.2

* Thu Feb 25 2021 daviddavid <daviddavid> 0.9.1-1.mga9
+ Revision: 1690880
- new version: 0.9.1

* Sat Dec 19 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1661141
- new version: 0.9.0

* Thu Dec 17 2020 umeabot <umeabot> 0.6.3-2.mga8
+ Revision: 1659557
- Rebuild for new Qt5

* Sat Aug 01 2020 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1610115
- new version: 0.6.3

* Wed Mar 25 2020 daviddavid <daviddavid> 0.6.2-1.mga8
+ Revision: 1559658
- new version: 0.6.2

* Tue Feb 18 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1541319
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 22 2019 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1469564
- new version: 0.6.1

* Thu Oct 17 2019 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1454275
- new version: 0.6.0

* Fri Jul 12 2019 daviddavid <daviddavid> 0.5.7-1.mga8
+ Revision: 1420790
- new version: 0.5.7

* Thu Apr 11 2019 daviddavid <daviddavid> 0.5.6-1.mga7
+ Revision: 1388307
- new version: 0.5.6

* Mon Apr 01 2019 umeabot <umeabot> 0.5.5-2.mga7
+ Revision: 1384275
- Qt5 Rebuild

* Mon Mar 11 2019 daviddavid <daviddavid> 0.5.5-1.mga7
+ Revision: 1374146
- new version: 0.5.5

* Mon Jan 14 2019 luigiwalser <luigiwalser> 0.5.4-2.mga7
+ Revision: 1356817
- rebuild for fluidsynth

* Thu Dec 06 2018 daviddavid <daviddavid> 0.5.4-1.mga7
+ Revision: 1338616
- new version: 0.5.4

* Wed Oct 10 2018 daviddavid <daviddavid> 0.5.3-1.mga7
+ Revision: 1319350
- new version: 0.5.3

* Sun Sep 23 2018 umeabot <umeabot> 0.5.2-2.mga7
+ Revision: 1300681
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 daviddavid <daviddavid> 0.5.2-1.mga7
+ Revision: 1244860
- new version: 0.5.2

* Tue May 22 2018 daviddavid <daviddavid> 0.5.1-1.mga7
+ Revision: 1231340
- new version: 0.5.1

* Sat Dec 23 2017 daviddavid <daviddavid> 0.5.0-1.mga7
+ Revision: 1184135
- new version: 0.5.0

* Sat Jun 03 2017 akien <akien> 0.4.4-1.mga6
+ Revision: 1106018
- Version 0.4.4

* Thu Nov 17 2016 daviddavid <daviddavid> 0.4.3-1.mga6
+ Revision: 1067995
- new version: 0.4.3

* Tue Sep 20 2016 daviddavid <daviddavid> 0.4.2-1.mga6
+ Revision: 1054701
- new version: 0.4.2

* Wed Apr 06 2016 daviddavid <daviddavid> 0.4.1-2.mga6
+ Revision: 998850
- remove no more needed autoreconf

* Wed Apr 06 2016 daviddavid <daviddavid> 0.4.1-1.mga6
+ Revision: 998834
- new version: 0.4.1
- remove merged upstream patch

* Tue Mar 15 2016 daviddavid <daviddavid> 0.4.0-3.mga6
+ Revision: 990899
- rediff Qt5.5_build patch (since fixed autopatch)

* Mon Jan 11 2016 daviddavid <daviddavid> 0.4.0-2.mga6
+ Revision: 921636
- add upstream patch to fix build with Qt5.5 or higher
  * https://sourceforge.net/p/qsynth/tickets/11/

* Mon Sep 07 2015 daviddavid <daviddavid> 0.4.0-1.mga6
+ Revision: 873912
- new version: 0.4.0
- switch BuildRequires to pkgconfig()
- add category "X-Mageia-CrossDesktop" on desktop file
- add doc files

* Sat Sep 05 2015 daviddavid <daviddavid> 0.3.9-5.mga6
+ Revision: 872964
- build with Qt5

* Thu Aug 27 2015 ycantin <ycantin> 0.3.9-1.mga6
+ Revision: 870344
- new version 0.3.9
- fix file list
- enable debug for debuginfo package

* Mon Dec 08 2014 wally <wally> 0.3.8-1.mga5
+ Revision: 802235
- new version 0.3.8
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.6-4.mga4
+ Revision: 517898
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.6-3.mga3
+ Revision: 379914
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 barjac <barjac> 0.3.6-2.mga3
+ Revision: 333519
- change group to new policy

* Fri Apr 15 2011 shikamaru <shikamaru> 0.3.6-1.mga1
+ Revision: 85879
- new version 0.3.6 - retab - fix file list
+ andre999 <andre999>
- imported package qsynth


* Wed Mar 09 2011 andre999 <andre999@mageia.org> 0.3.5-3mga1
- import from mdv + clean
- remove mdv extended .desktop entry

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.5-3mdv2011.0
+ Revision: 614680
- the mass rebuild of 2010.1 packages

* Mon May 03 2010 Frank Kober <emuse@mandriva.org> 0.3.5-2mdv2010.1
+ Revision: 541841
- fix desktop categories (Bug #59063), fix tarball permissions

* Wed Apr 28 2010 Frank Kober <emuse@mandriva.org> 0.3.5-1mdv2010.1
+ Revision: 540488
- sync sources, replace locale patch by perl script
- new version (bugfixes and enhancements) 0.3.5

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.3.4-3mdv2010.0
+ Revision: 433042
- rebuild

  + Frederik Himpe <fhimpe@mandriva.org>
    - Don't use parallell make
    - Update to new version 0.3.4

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 0.3.3-2mdv2009.0
+ Revision: 234223
- requries fluidsynth

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2009.0
+ Revision: 234218
- New version 0.3.3
- drop old tarball

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Austin Acton <austin@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 138719
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 18 2007 Austin Acton <austin@mandriva.org> 0.3.1-1mdv2008.0
+ Revision: 53175
- new version
- use bundled desktop file

* Thu Jun 14 2007 Austin Acton <austin@mandriva.org> 0.2.6-1mdv2008.0
+ Revision: 39348
- new version
- fix menu categories
- Import qsynth

* Sat Sep 16 2006 Emmanuel Andry <eandry@mandriva.org> 0.2.5-5mdv2007.0
- xdg menu

* Tue Mar 28 2006 Austin Acton <austin@mandriva.org> 0.2.5-4mdk
- buildrequires ImageMagick

* Tue Mar 21 2006 Austin Acton <austin@mandriva.org> 0.2.5-3mdk
- really fix x86_64 build

* Tue Mar 21 2006 Austin Acton <austin@mandriva.org> 0.2.5-2mdk
- mkrel

* Sat Mar 18 2006 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net> 0.2.5-1mdk
- Spec change to build on x86_64
- 0.2.5

* Tue Oct 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.4-2mdk
- Fix BuildRequires

* Mon Oct 03 2005 Lenny Cartier <lenny@mandriva.com> 0.2.4-1mdk
- 0.2.4

* Tue May 24 2005 Austin Acton <austin@mandriva.org> 0.2.3-1mdk
- 0.2.3
- source URL

* Fri Oct 8 2004 Austin Acton <austin@mandrake.org> 0.2.2-1mdk
- 0.2.2
- configure 2.5

* Sat Jun 5 2004 Austin Acton <austin@mandrake.org> 0.2.1-1mdk
- 0.2.1

* Mon Mar 1 2004 Austin Acton <austin@mandrake.org> 0.1.3-1mdk
- 0.1.3

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org) 0.1.2-1mdk
- 0.1.2

* Tue Dec 30 2003 Austin Acton <austin@linux.ca> 0.1.0-1mdk
- 0.1.0

* Sat Dec 27 2003 Austin Acton <aacton@yorku.ca> 0.0.3-1mdk
- initial package
